Subject: Re: FVWM: Click in a window raises, move marks, can I?

From: Dominik Vogt <[email-masked]>
Date: Sun, 3 Mar 2002 09:20:49 +0100

On Fri, Feb 01, 2002 at 11:52:50PM +0200, Anssi Saari wrote:
> On Fri, Feb 01, 2002 at 05:21:17PM +0100, Dominik Vogt wrote:
> > > I have also noticed that in the CVS version, GrabFocusTransient seems
> > > to default to off, even though the manual still says it's on by default.
> > 
> 
> > And it should be on by default.  The ConfigFvwmDefaults file has
> > this line:
> > 
> >   Style * GrabFocusTransient, LowerTransient, RaiseTransient, StackTransientParent
> > 
> > So probably ConfigFvwmDefaults is not installed properly on your
> > site.
> 
> Yes, you're right of course. I was trying out the freshly compiled fvwm
> >from the source dir so ConfigFvwmDefaults wasn't found.
> 
> I seems to me however that the combination of MouseFocusClickRaises and
> MouseFocusClickIgnoreMotion is a little undeterministic. If I select
> text in one xterm, which is on top and then click on another xterm,
> it raises but selection is kept. However, if I then click on the first
> xterm again, it raises but selection is lost. Not really a problem, but
> it would be neater to have an option which sets this, either the click
> is passed to the window that is raised or it isn't.

This is something that xterm does:

 1) Select something in xterm 1.  xterm1 is on top of the
    window stack, and xterm 2 partially below it.  Nothing is
    selected in xterm 2.
 2) Click in xterm 2 to raise it.  The click is passed to the
    window.  It currently has no selection, and since you did not
    move the mouse, xterm does not clear the selection that was
    set by a different program (you would *hate* it if it did so).
 3) Click in xterm 1 again to raise it.  xterm deletes its current
    selection since you clicked into it.  Fvwm is not even
    involved.

If you had not only clicked but also moved the mouse in step 2,
xterm 2 would have made a selection and the selection in xterm 1
would have been deleted (try it).  I guess that's exactly how it
should work here.  If it worked like you described as desirable,
the selection in an xterm would be deleted needlessly under the
described circumstances.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]